﻿/*
 * Jumbula Registration Style on Student Area
 * Copyright © 2015 - Author: SaJad Jafari (sajadjafari.com) at Jumbula
 */

#multipleRegister > div {
    background-color: #fff;
    padding: 15px;
    overflow: scroll;
}

#multipleRegister .inner-content {
    min-width: 992px;
}

#multipleRegister .table-title {
    font-size: 18px;
    font-weight: 400;
}

#multipleRegister .mreg-top-table {
    margin: 0;
}

#multipleRegister .inner-tables {
    border: 1px solid #dbdbdb;
    border-top: none;
    padding: 20px;
}

#multipleRegister .mreg-table tr:nth-child(2n) {
    background-color: #f5f5f5;
}

#multipleRegister .mreg-top-table tr th,
#multipleRegister .mreg-table tr td {
    border: 1px solid #dbdbdb;
}

    #multipleRegister .mreg-top-table tr th:first-child {
        width: 21%;
        padding-left: 20px;
    }

    #multipleRegister .mreg-table tr td:first-child {
        width: 20%;
    }

    #multipleRegister .mreg-top-table tr th:nth-child(2) {
        width: 29%;
    }

    #multipleRegister .mreg-table tr td:nth-child(2) {
        width: 30%;
    }

    #multipleRegister .mreg-top-table tr th:nth-child(3) {
        width: 29%;
    }

    #multipleRegister .mreg-table tr td:nth-child(3) {
        width: 30%;
    }

    #multipleRegister .mreg-top-table tr th:nth-child(4) {
        width: 10%;
    }

    #multipleRegister .mreg-top-table tr th:last-child {
        width: 12%;
        padding-right: 20px;
    }

    #multipleRegister .mreg-table tr td:nth-child(4),
    #multipleRegister .mreg-table tr td:last-child {
        width: 10%;
    }

    #multipleRegister .mreg-table tr td .tuition-indent {
        padding-left: 20px;
    }

.error-message-box {
    color: red;
    font-weight: 600;
    font-size: 16px;
}

    .error-message-box ul {
        margin: 0;
        list-style: none;
    }

.jb-radio-btn.disabled,
.program-items.disabled {
    cursor: not-allowed;
}

.jb-checkbox > input[type="checkbox"],
.jb-radio-btn > input[type="radio"] {
    width: 1px;
    height: 1px;
    position: absolute;
    opacity: 0;
}

.jb-checkbox,
.jb-radio-btn {
    font-size: 18px;
    vertical-align: middle;
}

/*Filter code*/
.filter-box-inline {
    background-color: #ffffff;
    border: 1px solid #d2d5d8;
    color: #1d232a;
    border-radius: 2px;
    padding: 14px;
    margin: 10px 15px;
    vertical-align: middle;
}

    .filter-box-inline .single-filter {
        /*max-width: 145px;*/
        display: inline-block;
        margin-bottom: 6px;
        width: 16.28%;
        width: -webkit-calc( calc(100%/6) - 3.5px);
        width: -moz-calc( calc(100%/6) - 3.5px);
        width: calc( calc(100%/6) - 3.5px);
    }

    .filter-box-inline .form-group {
        margin: 0;
        width: 100%;
    }

        .filter-box-inline .form-group label {
            margin-bottom: 0;
        }

    .filter-box-inline .filter-title {
        margin: 0;
        font-size: 18px;
        font-weight: 500;
        text-transform: uppercase;
        margin-bottom: 8px;
    }

    .filter-box-inline .form-control {
        box-shadow: none !important;
        background-color: #ffffff;
        border: 1px solid #e8e8e8;
        border-radius: 0;
    }

    .filter-box-inline .btn-filter {
        line-height: 35px !important;
        height: 35px;
        padding: 0 10px;
        margin: 0 0 6px;
        vertical-align: middle;
        text-transform: inherit;
        display: inline-block;
        background-color: #00a651;
        float: right;
        width: 16.42%;
        width: -webkit-calc( calc(100%/6) - 3.5px);
        width: -moz-calc( calc(100%/6) - 3.5px);
        width: calc( calc(100%/6) - 2px );
    }

ul.multi-select-filter {
    display: inline-block;
    margin: 0;
    padding: 0;
}

    ul.multi-select-filter li {
        display: inline-block;
        float: left;
        width: 20.7777px;
        height: 20px;
        color: #fff;
        line-height: 19px;
        text-align: center;
        background-color: #06a651;
        cursor: pointer;
    }

        ul.multi-select-filter li[data-datepart] {
            width: 24px;
        }

        ul.multi-select-filter li.acrive-day {
            color: rgb(255, 255, 255);
            background-color: rgb(29, 35, 42);
        }

@media(min-width:1650px) {
    .filter-box-inline .single-filter {
        width: 16.42%;
        width: -webkit-calc( calc(100%/6) - 3.5px);
        width: -moz-calc( calc(100%/6) - 3.5px);
        width: calc( calc(100%/6) - 3.5px);
    }
}

@media(max-width:900px) {
    .filter-box-inline .single-filter {
        width: 32.55%;
        width: -webkit-calc( calc(100%/3) - 3.2px);
        width: -moz-calc( calc(100%/3) - 3.2px);
        width: calc( calc(100%/3) - 3.2px);
    }
}

@media(max-width:768px) {
    .filter-box-inline .single-filter {
        width: 49.33%;
        width: -webkit-calc( calc(100%/2) - 3.2px);
        width: -moz-calc( calc(100%/2) - 3.2px);
        width: calc( calc(100%/2) - 3.2px);
    }

    .filter-box-inline .btn-filter {
        float: none;
    }
       .filter-box-inline .btn-filter{
        width:100%;
        float:initial;
    }
}

@media(max-width:480px) {
    .filter-box-inline .single-filter {
        width: 100%;
        width: -webkit-calc( calc(100%/1) - 3.2px);
        width: -moz-calc( calc(100%/1) - 3.2px);
        width: calc( calc(100%/1) - 3.2px);
    }
    .filter-box-inline .btn-filter{
        width:100%;
        float:initial;
    }
}
#multipleRegister .jb-radio-btn:before, #multipleRegister .jb-checkbox:before {
    font-size: 17px !important;
    vertical-align: middle;
}
#multipleRegister .jb-radio-btn, #multipleRegister .jb-checkbox {
    line-height: 17px;
    display: inline-block;
    vertical-align: top;
}